/*******************************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ******************************************************************************/
package gov.va.med.fw.util.builder;

// Java Classes

// Library Classes

// Framework Classes

// Common Classes

// Messaging Classes

/**
 * @author Martin Francisco
 */
public class NoBuildBuilder implements Builder {
	
	/**
	 * An instance of serialVersionUID
	 */
	private static final long serialVersionUID = -2320781115422339013L;
	private boolean returnsInput = false;

	public NoBuildBuilder() {
		super();
	}

	public boolean isReturnsInput() {
		return this.returnsInput;
	}

	public void setReturnsInput(boolean returnsInput) {
		this.returnsInput = returnsInput;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see gov.va.med.fw.util.builder.Builder#build(java.lang.Object)
	 */
	public Object build(Object input) throws BuilderException {
		return (this.returnsInput) ? input : null;
	}
}